Package org.springframework.cloud.task.batch.autoconfigure

# Class SingleStepJobAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.SingleStepJobAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableConfigurationProperties(SingleStepJobProperties.class) @AutoConfigureBefore(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) public class SingleStepJobAutoConfiguration extends Object
Autoconfiguration to create a single step Spring Batch Job.

Since:
  2.3
Author:
  Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleStepJobAutoConfiguration(org.springframework.batch.core.configuration.annotation.JobBuilderFactory jobBuilderFactory, org.springframework.batch.core.configuration.annotation.StepBuilderFactory stepBuilderFactory, SingleStepJobProperties properties, org.springframework.context.ApplicationContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.batch.core.Job`
  `job(org.springframework.batch.item.ItemReader<Map<String,Object>> itemReader, org.springframework.batch.item.ItemWriter<Map<String,Object>> itemWriter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleStepJobAutoConfiguration

    public SingleStepJobAutoConfiguration(org.springframework.batch.core.configuration.annotation.JobBuilderFactory jobBuilderFactory, org.springframework.batch.core.configuration.annotation.StepBuilderFactory stepBuilderFactory, SingleStepJobProperties properties, org.springframework.context.ApplicationContext context)

- ## Method Details

  - ### job

    @Bean @ConditionalOnMissingBean @ConditionalOnProperty(prefix="spring.batch.job", name="job-name") public org.springframework.batch.core.Job job(org.springframework.batch.item.ItemReader<Map<String,Object>> itemReader, org.springframework.batch.item.ItemWriter<Map<String,Object>> itemWriter)